#!/bin/bash
##################################################
validateout=`dirname $0`
validatetime=`date`
validated="0";
error=0
if [ -z $validateout ]
then
    validateout="."
fi

cd $validateout;
validateworkdir=`pwd`;

echo "*******************************************************" >> stdout
echo "* Automatically generated validation script           *" >> stdout

echo "* Time:    $validatetime " >> stdout
echo "* Dir:     $validateout" >> stdout
echo "* Workdir: $validateworkdir" >> stdout
echo "* ----------------------------------------------------*" >> stdout
ls -la ./ >> stdout
echo "* ----------------------------------------------------*" >> stdout

##################################################

parArch=`grep -Ei "Cannot Build the PAR Archive" stderr`
segViol=`grep -Ei "Segmentation violation" stderr`
segFault=`grep -Ei "Segmentation fault" stderr`
bf=`grep -Ei "busy flag cleared" stderr`
ie=`grep -Ei "Interpreter error recovered" stderr`
uz=`grep -Ei "unzip: error " stderr`
if [ ! -f stderr ] ; then
   error=1
   echo "* ########## Job not validated - no stderr  ###"  >> stdout
   echo "Error = $error"  >> stdout
fi
if [ "$parArch" != "" ] ; then
   error=1
   echo "* ########## Job not validated - PAR archive not built  ###"  >> stdout
   echo "$parArch"  >> stdout
   echo "Error = $error"  >> stdout
fi
if [ "$segViol" != "" ] ; then
   error=1
   echo "* ########## Job not validated - Segment. violation  ###"  >> stdout
   echo "$segViol"  >> stdout
   echo "Error = $error"  >> stdout
fi
if [ "$segFault" != "" ] ; then
   error=1
   echo "* ########## Job not validated - Segment. fault  ###"  >> stdout
   echo "$segFault"  >> stdout
   echo "Error = $error"  >> stdout
fi
if [ "$bf" != "" ] ; then
   error=1
   echo "* ########## Job not validated - busy flag  ###"  >> stdout
   echo "$bf"  >> stdout
   echo "Error = $error"  >> stdout
fi
if [ "$ie" != "" ] ; then
   error=1
   echo "* ########## Job not validated - Interpreter error  ###"  >> stdout
   echo "$ie"  >> stdout
   echo "Error = $ie"  >> stdout
fi
if [ "$uz" != "" ] ; then
   error=1
   echo "* ########## Job not validated - unzip: error  ###"  >> stdout
   echo "$uz"  >> stdout
   echo "Error = $uz"  >> stdout
fi
if ! [ -f AliAOD.VertexingHF.root ] ; then
   error=1
   echo "Output file(s) not found. Job FAILED !" >> stdout
   echo "Output file(s) not found. Job FAILED !" >> stderr
fi
if ! [ -f AliAOD.VertexingHF.root ] ; then
   error=1
   echo "Output file(s) not found. Job FAILED !" >> stdout
   echo "Output file(s) not found. Job FAILED !" >> stderr
fi
if [ $error = 0 ] ; then
   echo "* ----------------   Job Validated  ------------------*" >> stdout
fi
echo "* ----------------------------------------------------*" >> stdout
echo "*******************************************************" >> stdout
cd -
exit $error
